Echo Off
If %1z==Cz goto OK
If %1z==cz goto OK
If %1z==Dz goto OK
If %1z==dz goto OK
If %1z==Ez goto OK
If %1z==ez goto OK
If %1z==C:z goto COLON
If %1z==c:z goto COLON
If %1z==D:z goto COLON
If %1z==d:z goto COLON
If %1z==E:z goto COLON
If %1z==e:z goto COLON
Echo INSTALL procedure requires a fixed disk drive code
Echo	For example:  INSTALL C
Echo ÿ
Echo Re-execute INSTALL with a fixed disk drive code
Echo INSTALL has been cancelled
Goto Finis
:OK
%1:
Goto GO
:COLON
%1
:GO
Echo PC Storyboard INSTALL procedure is working
Echo PC Storyboard will be installed in directory PCSCmd on drive %1
md \PCSCmd
:Vol1
If not exist a:se.exe echo Insert PC Storyboard Diskette 1 and . . .
If not exist a:se.exe Pause
If not exist a:se.exe Goto Vol1
Copy A:*.* \PCSCmd

:VOL2
If not exist a:pm.exe echo Insert PC Storyboard Diskette 2 and . . .
If not exist a:pm.exe Pause
If not exist a:pm.exe Goto VOL2
Copy A:*.* \PCSCmd

:VOL3
If not exist a:st.exe echo Insert PC Storyboard Diskette 3 and . . .
If not exist a:st.exe Pause
If not exist a:st.exe Goto VOL3
Copy A:ST.* \PCSCmd

Echo PC Storyboard (Rel 1.0) has been installed
Echo Change directory to PCSCmd from drive %1 (CD \PCSCmd) to run ...
Echo	    PT (Picture Taker)
Echo	    PM (Picture Maker)
Echo	    SE (Story Editor)
Echo	    ST (Story Teller)

If exist \PCSCmd\INSTALL.BAT  Del \PCSCmd\INSTALL.BAT
Echo The components have been placed in directory PCSCmd
:Finis
